// blog-info.js
import util from '../../utils/util.js'
var videoAd = null;
Page({
  /**
   * 页面的初始数据
   */
  data: {
    gid: 0,
    down:false,
    butt:true
  },
  
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.showShareMenu({
　　withShareTicket: true
　　})
    console.log(options)
    this.setData({
      gid: options.gid
    })
  },


xiazai:function(){
  this.setData({
    down:true,
    butt:false
  })
},

fuzhi: function () {
wx.showToast({
title: '复制成功',
})
wx.setClipboardData({
data: this.data.data.daoyu,
success: function (res) {
wx.getClipboardData({
success: function (res) {
console.log(res.data) // data
}
})
}
})
qq.vibrateShort({
                    
     })
},


videodown:function(){
    console.log('打开激励视频');
    //↓↓↓这个是执行广告函数
    this.adGet();

    // 在合适的位置打开广告
    if (videoAd) {
      videoAd.show().catch(err => {
        // 失败重试
        videoAd.load()
          .then(() => videoAd.show())
      })
    }
},
dakaiad:function(){
    console.log('打开激励视频');
    //↓↓↓这个是执行广告函数
    this.adGetad();

    // 在合适的位置打开广告
    if (videoAd) {
      videoAd.show().catch(err => {
        // 失败重试
        videoAd.load()
          .then(() => videoAd.show())
      })
    }
},

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onShow: function () {
    this.getArticleInfo()
  },
  getArticleInfo: function () {
    var gid = this.data.gid
    var that = this
    util.getArticleInfo(gid, function (success) {
      success.content = success.content.replace(/\<img/gi, '<img class="rich-img" ');
      that.setData({
        data: success
      })
    }, function (error) {
      that.setData({
        error: error
      })
    })
  },
  onPullDownRefresh: function () {
    this.getArticleInfo()
  },

  onShareAppMessage: function (res) {         
    return {
      title: this.data.data.title,
      imageUrl: 'https://api.ixiaowai.cn/api/api.php', // 图片 URL
      path: 'pages/blog-info/blog-info?route=articleInfo&gid=' + this.data.gid,

    }
  },
  input: function () {
    wx.reLaunch ({
        url: '/pages/blog/blog'
    })
  },
    //加载激励广告
  adGet: function () {

    if (qq.createRewardedVideoAd) {
      // 加载激励视频广告
      videoAd = qq.createRewardedVideoAd({
        adUnitId: 'bf43fa873cd27bdfd02827dd0430153d'
      })
      //捕捉错误
      videoAd.onError(err => {
        // 进行适当的提示
      })
      // 监听关闭
      videoAd.onClose((status) => {
        if (status && status.isEnded || status === undefined) {
          // 正常播放结束，下发奖励
          // 在接力
          console.log('广告奖励发放');
this.xiazai()
        } else {
          // 播放中途退出，进行提示
        }
      })
    }
  },
  adGetad: function () {

    if (qq.createRewardedVideoAd) {
      // 加载激励视频广告
      videoAd = qq.createRewardedVideoAd({
        adUnitId: 'bf43fa873cd27bdfd02827dd0430153d'
      })
      //捕捉错误
      videoAd.onError(err => {
        // 进行适当的提示
      })
      // 监听关闭
      videoAd.onClose((status) => {
        if (status && status.isEnded || status === undefined) {
          // 正常播放结束，下发奖励
          // 在接力
          console.log('广告奖励发放');
        } else {
          // 播放中途退出，进行提示
        }
      })
    }
  },
})
    